Skip to main content
GET
/
transactions
List transactions
curl --request GET \
  --url https://api.useproxy.ai/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "amount": 123,
      "customerId": "<string>",
      "cardId": "<string>",
      "agentId": "<string>",
      "type": "<string>",
      "status": "<string>",
      "currency": "<string>",
      "merchant": {
        "name": "<string>",
        "mcc": "<string>",
        "city": "<string>",
        "country": "<string>",
        "category": "<string>"
      },
      "memo": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Query Parameters

customerId
string

Filter by customer ID

agentId
string

Filter by agent ID

cardId
string

Filter by card ID

limit
integer
default:50

Maximum number of results to return (default: 50)

Required range: 1 <= x <= 100
cursor
string

Pagination cursor for fetching the next page

Response

List of transactions

data
object[]
required
nextCursor
string | null